# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'strife/version'

Gem::Specification.new do |spec|
  spec.name          = "strife"
  spec.version       = Strife::VERSION
  spec.authors       = ["Anthony White"]
  spec.email         = ["anthony.white.j@gmail.com"]
  spec.description   = %q{Strife is a ruby wrapper for the Riot API. This product is not endorsed, certified or otherwise approved in any way by Riot Games, Inc. or any of its affiliates.}
  spec.summary       = %q{Strife is a ruby wrapper for the Riot API  This product is not endorsed, certified or otherwise approved in any way by Riot Games, Inc. or any of its affiliates.}
  spec.homepage      = "http://www.github.com/wanthony/strife"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "rspec"
  spec.add_development_dependency "pry"
  spec.add_development_dependency "pry-doc"
  spec.add_development_dependency "dotenv"

  spec.add_runtime_dependency     "sawyer"
  spec.add_runtime_dependency     "faraday-http-cache"
end
